Package csb :: Package bio :: Package hmm :: Class ProfileHMMSegment

[frames] | no frames]

# Class ProfileHMMSegment

source code

    object --+
             |
    ProfileHMM --+
                 |
                ProfileHMMSegment

Known Subclasses:
  - EmissionProfileSegment

Represents a segment (fragment) of a ProfileHMM.

Instance Methods

__init__(self, hmm, start, end) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `ProfileHMM`: `add_emission_pseudocounts`, `add_transition_pseudocounts`, `chain`, `convert_scores`, `emission_profile`, `emission_similarity`, `segment`, `serialize`, `structure`, `subregion`, `to_hmm`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `ProfileHMM`: `deserialize`

Properties
int | source_end End position of this segment in its source HMM
int | source_start Start position of this segment in its source HMM
Inherited from `ProfileHMM`: `alignment`, `all_layers`, `consensus`, `dssp`, `dssp_solvent`, `effective_matches`, `emission_pseudocounts`, `end`, `evd`, `family`, `has_structure`, `id`, `layers`, `length`, `logbase`, `name`, `pseudocounts`, `psipred`, `residues`, `scale`, `score_units`, `start`, `start_insertion`, `transition_pseudocounts`, `version` Inherited from `object`: `__class__`

Method Details

### __init__(self, hmm, start, end)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `hmm` (ProfileHMM) - source HMM
  - `start` (int) - start layer of the segment (rank)
  - `end` (int) - end layer of the segment (rank)
Raises:
  - `ValueError` - when start or end positions are out of range
Overrides: object.__init__
  (inherited documentation)

Property Details

### source_end

End position of this segment in its source HMM

Get Method:
  unreachable.source_end(self) - End position of this segment in its source HMM
Type:
  int

### source_start

Start position of this segment in its source HMM

Get Method:
  unreachable.source_start(self) - Start position of this segment in its source HMM
Type:
  int